kdecore Library: KLibrary Class Reference (kdecore Library)

| # kdecore Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KLibrary Class Reference

Represents a dynamically loaded library. More...

`#include <klibloader.h>`

Inheritance diagram for KLibrary:

[legend]
Collaboration diagram for KLibrary:

[legend]
List of all members.

## Public Member Functions
| KLibrary (const QString &libname, const QString &filename, void *handle)
QString | name () const
QString | fileName () const
KLibFactory * | factory ()
void * | symbol (const char *name) const
bool | hasSymbol (const char *name) const
void | unload () const
## Friends
class | KLibLoader
class | QAsciiDict<KLibrary>

## Detailed Description

Represents a dynamically loaded library.

KLibrary allows you to look up symbols of the shared library. Use KLibLoader to create a new instance of KLibrary.

See also:
  KLibLoader

Author:
  Torben Weis <weis@kde.org>

Definition at line 50 of file klibloader.h.

## Constructor & Destructor Documentation

KLibrary::KLibrary | ( | const QString & | libname,
|  | const QString & | filename,
|  | void * | handle
| ) |

| Don't create KLibrary objects on your own. Instead use KLibLoader. Definition at line 98 of file klibloader.cpp. References KLibLoader::self().

## Member Function Documentation

QString KLibrary::name | ( |  | ) | const

| Returns the name of the library. Returns: The name of the library like "libkspread". Reimplemented from QObject. Definition at line 136 of file klibloader.cpp. Referenced by factory(), and unload().

QString KLibrary::fileName | ( |  | ) | const

| Returns the file name of the library. Returns: The filename of the library, for example "/opt/kde2&/lib/libkspread.la" Definition at line 141 of file klibloader.cpp.

KLibFactory * KLibrary::factory | ( |  | ) |

| Returns the factory of the library. Returns: The factory of the library if there is any, otherwise 0 Definition at line 146 of file klibloader.cpp. References QString::arg(), QObject::connect(), KLibLoader::d, endl(), name(), KLibLoader::self(), QCString::sprintf(), and symbol(). Referenced by KLibLoader::factory().

void * KLibrary::symbol | ( | const char * | name | ) | const

  | Looks up a symbol from the library. This is a very low level function that you usually don't want to use. Usually you should check using hasSymbol() whether the symbol actually exists, otherwise a warning will be printed. Parameters:
  | name | the name of the symbol to look up
Returns: the address of the symbol, or 0 if it does not exist See also: hasSymbol Definition at line 179 of file klibloader.cpp. References KLibLoader::d, endl(), QString::fromLatin1(), and KLibLoader::self(). Referenced by factory().

bool KLibrary::hasSymbol | ( | const char * | name | ) | const

  | Looks up a symbol from the library. This is a very low level function that you usually don't want to use. Unlike symbol(), this method doesn't warn if the symbol doesn't exist, so if the symbol might or might not exist, better use hasSymbol() before symbol(). Parameters:
  | name | the name of the symbol to check
Returns: true if the symbol exists Since: 3.1 Definition at line 192 of file klibloader.cpp.

void KLibrary::unload | ( |  | ) | const

| Unloads the library. This typically results in the deletion of this object. You should not reference its pointer after calling this function. Definition at line 198 of file klibloader.cpp. References name(), and KLibLoader::unloadLibrary().

The documentation for this class was generated from the following files:

- klibloader.h
- klibloader.cpp

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:18:45 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003